GITSTATS(1)

NAME
gitstats - git history statistics generator

SYNOPSIS
gitstats [options] <repository dir> <output dir>

DESCRIPTION
gitstats is a statistics generator for git(1) repositories. It examines the repository and produces some interesting statistics from the history of it. Currently HTML is the only output format.

OPTIONS
-c option=value

Override a default configuration value. Defaults can be seen by running gitstats without parameters.

  Values:

authors_top
    How many top authors to show.

commit_begin, commit_end
    Specify a commit range to generate statistics from. You can specify only commit_end limit statistics to a certain commit or another branch.

linear_linestats
    When enabled, the lines of code statistics are collected from linear history. The downside is that commits of long feature branches appear only at the point where a merge commit is made.

    If disabled (old behaviour), the problem is that if two branches contain the same changes (for example, removal of same lines), the statistics get skewed.

    Defaults to on.

max_authors
    How many authors to show in the list of authors.

max_domains
    How many domains to show in domains by commits.

max_ext_length
    Maximum file extension length.

processes
    Number of concurrent processes to use when extracting git repository data.

project_name
    Project name to show on the generated pages. Default is to use basename of the repository directory.

style
    CSS stylesheet to use.

FAQ
Q: How do I generate statistics of a non-master branch?

A: Use "-c commit_end=web" parameter.

Q: I have files in my git repository that I would like to exclude from the statistics, how do I do that?

A: At the moment the only way is to use git-filter-branch(1) to create a temporary repository and generate the statistics from that.

EXAMPLES

Generates statistics from a git repository in "foo" and outputs the result in a directory "foo_stats":
      gitstats foo foo_stats

As above, but only analyzes the last 10 commits:
      gitstats -c commit_begin='HEAD~10' foo foo_stats

AUTHORS
gitstats was written by Heikki Hokkanen and others.

See the git repository at http://repo.or.cz/w/gitstats.git for an up-to-date full list of contributors.

WWW
http://gitstats.sourceforge.net/

SEE ALSO
git(1)